### Method

# EDataBook BookBackend set_view_sort_fields

since: 3.50

#### Declaration [src]

    void
    e_book_backend_set_view_sort_fields (
      EBookBackend* backend,
      gsize view_id,
      const EBookClientViewSortFields* fields
    )

#### Description [src]

Sets the sort fields for the view identified by the `view_id`. The `fields` array should be terminated by an item, which has the field member set to `E_CONTACT_FIELD_LAST`.

When the `fields` is `NULL`, the sort by file-as in ascending order is used instead.

The default implementation of this virtual method stores the `fields` into the internal structure for the `backend`, to be available by e_book_backend_dup_view_sort_fields().

Note: This function should be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY` views.

Available since: 3.50

#### Parameters

`view_id`

  Type: `gsize`

  A view identifier.

`fields`

  Type: `EBookClientViewSortFields`

  An array of `EBookClientViewSortFields`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.